> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/describeeipremoteregions.md).

# DescribeEipRemoteRegions

## 1. 接口描述

本接口(DescribeEipRemoteRegions)用于查询EIP支持的远程指向的节点信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                                                | 描述                                                            |
| ---------------- | -- | --------------------------------------------------------------------------------- | ------------------------------------------------------------- |
| regionId         | 是  | String                                                                            | 查询的节点ID。                                                      |
| eipV4Type \[已废弃] | 否  | [EipNetworkType](/api-reference/cn/compute/zec/datastructure.md#eipnetworktype)   | <p>EIP IP线路类型。</p><p>已废弃，请使用<code>networkLineType</code>。</p> |
| networkLineType  | 否  | [NetworkLineType](/api-reference/cn/compute/zec/datastructure.md#networklinetype) | EIP IP线路类型。                                                   |

## 3. 响应结果

| 参数名称          | 类型              | 描述                                                       |
| ------------- | --------------- | -------------------------------------------------------- |
| requestId     | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| peerRegionIds | Array of String | 支持的远端的节点ID列表。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询 `asia-east-1` 节点BGP EIP支持的远端节点信息。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipRemoteRegions
<Common Request Params>

Request：
{
  "regionId": "asia-east-1",
  "networkLineType": "PremiumBGP"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "peerRegionIds": ["asia-southeast-1","asia-southwest-1"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
